

msdev src/libosiris/libosiris.dsp /Make "libosiris - Win32 Release" /Rebuild
msdev src/libfileapi/libfileapi.dsp /Make "libfileapi - Win32 Release" /Rebuild

if "%1" == "osirisd" GOTO OSIRISD

msdev src/libosirisctl/libosirisctl.dsp /Make "libosirisctl - Win32 Release" /Rebuild

if "%1" == "cli" GOTO CLI
if "%1" == "osirismd" GOTO OSIRISMD

:OSIRISD
msdev src/osirisd/osirisd.dsp /Make "osirisd - Win32 Release" /Rebuild
if "%1" == "osirisd" GOTO END

:CLI
msdev src/libosirism/libosirism.dsp /Make "libosirism - Win32 Release" /Rebuild
msdev src/cli/osiris.dsp /Make "osiris - Win32 Release" /Rebuild
if "%1" == "cli" GOTO END


:OSIRISMD
msdev src/libosirism/libosirism.dsp /Make "libosirism - Win32 Release" /Rebuild
msdev src/libosirisdb/libosirisdb.dsp /Make "libosirisdb - Win32 Release" /Rebuild
msdev src/db-4.1.24/build_win32/db_static.dsp /Make "db_static - Win32 Release" /Rebuild  
msdev src/osirismd/osirismd.dsp /Make "osirismd - Win32 Release" /Rebuild
if "%1" == "osirismd" GOTO END 


:END 
msdev src/install/windows/service_installer/service_installer.dsp /Make "service_installer - Win32 Release" /Rebuild
